﻿.gn-title-bar {
  position: absolute;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  padding: 0.2em 0em;
  font-size: 110%;
  width: 100%;
  min-height: 4em;
  height: 4em;
  max-height: 4em;
  z-index: 10;
}
.gn-title-bar button {
  width: 3.5em;
  height: 3.5em;
}
.gn-title-bar span {
  flex: 1;
  font-size: 120%;
  font-weight: bold;
  margin: 0 0.2em;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.gn-title-bar button[data-display=none] + span {
  margin-left: 1em;
}
@media only screen and (min-width: 0px) and (max-width: 1000px) {
  .gn-title-bar {
    padding: 0.2em;
    background-color: white;
    box-shadow: 0 5px 10px #0000000f;
    font-size: 100%;
  }
}
@media only screen and (min-width: 0px) and (max-width: 425px) {
  .gn-title-bar span {
    font-size: 110%;
  }
}
.gn-panel,
.gn-panel-info {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 4px;
  box-shadow: 0 5px 10px #0000000f;
}
.gn-panel .gn-panel-heading,
.gn-panel-info .gn-panel-heading {
  border-bottom: 1px solid #eee;
  padding-bottom: 0.8em;
}
.gn-panel .gn-panel-heading .gn-panel-title,
.gn-panel-info .gn-panel-heading .gn-panel-title {
  font-size: 115%;
  text-align: start;
  margin: 0;
}
.gn-panel .gn-panel-body,
.gn-panel-info .gn-panel-body {
  padding-top: 1em;
}
.gn-panel-info {
  padding: 0.8em 1.2em;
}
.gn-panel-info .gn-panel-heading .gn-panel-title {
  color: #135ebb;
  text-align: center;
}
.gn-collapsible-panel .gn-collapsible-title-toggle {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 4px;
  box-shadow: 0 5px 10px #0000000f;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
  text-transform: uppercase;
  padding: 1em;
  color: #115BB7;
  cursor: pointer;
  transition: all 0.25s ease-out;
}
.gn-collapsible-panel .gn-collapsible-title-toggle .gn-panel-heading {
  border-bottom: 1px solid #eee;
  padding-bottom: 0.8em;
}
.gn-collapsible-panel .gn-collapsible-title-toggle .gn-panel-heading .gn-panel-title {
  font-size: 115%;
  text-align: start;
  margin: 0;
}
.gn-collapsible-panel .gn-collapsible-title-toggle .gn-panel-body {
  padding-top: 1em;
}
.gn-collapsible-panel .gn-collapsible-title-toggle:hover,
.gn-collapsible-panel .gn-collapsible-title-toggle:focus {
  background-color: #f2f2f2;
}
.gn-collapsible-panel .gn-collapsible-title-toggle:active {
  background-color: #e6e6e6;
}
.gn-collapsible-panel .gn-collapsible-title-toggle .gn-collapsible-title {
  flex: 1;
  font-weight: bold;
  display: flex;
  align-items: center;
}
.gn-collapsible-panel .gn-collapsible-title-toggle .gn-collapsible-title span {
  font-weight: bold;
}
.gn-collapsible-panel .gn-collapsible-title-toggle .gn-collapsible-title .gn-collapsible-title-icon {
  filter: invert(53%) sepia(0%) saturate(274%) hue-rotate(176deg) brightness(96%) contrast(91%);
  margin-right: 0.5em;
}
.gn-collapsible-panel .gn-collapsible-title-toggle .gn-collapsible-title-indicator {
  margin-left: 1em;
  width: 15px;
  height: 15px;
  transition: transform 0.1s ease-in-out;
}
.gn-collapsible-panel .gn-collapsible-body {
  max-height: 0px;
  overflow-x: hidden;
  overflow-y: scroll;
  position: relative;
  top: 0px;
  transition: max-height 0.25s ease-in-out;
  box-shadow: 0 5px 10px #0000000f;
  scrollbar-width: none;
  -ms-overflow-style: none;
}
.gn-collapsible-panel .gn-collapsible-body::-webkit-scrollbar {
  width: 0;
  height: 0;
}
.gn-collapsible-panel .gn-collapsible-body .gn-collapsible-content {
  background-color: white;
  border-radius: 4px;
  padding: 0.5rem 1rem;
}
.gn-collapsible-panel .gn-collapsible-title-checkbox {
  display: none;
}
.gn-collapsible-panel .gn-collapsible-title-checkbox:checked + .gn-collapsible-title-toggle + .gn-collapsible-body {
  max-height: 200vh;
}
.gn-collapsible-panel .gn-collapsible-title-checkbox:checked + .gn-collapsible-title-toggle .gn-collapsible-title-indicator {
  transform: rotate(180deg);
}
.gn-bottom-sheet-background {
  position: fixed;
  top: 0;
  left: 0;
  height: calc(100% - 70px);
  width: 100%;
  background-color: rgba(0, 0, 0, 0.05);
}
a {
  color: #1975E8;
}
input:not([type=submit]):not([type=color]),
select {
  border: 1px solid lightgray !important;
  border-radius: 100px !important;
  padding-left: 10px !important;
  box-shadow: none !important;
  padding: 3px;
}
input:not([type=submit]):focus,
select:focus,
textarea:focus {
  outline: none !important;
  border-color: #1975E8 !important;
  box-shadow: 0 0 0 1px #1975E8 !important;
}
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='black' width='18px' height='18px'><path d='M24 24H0V0h24v24z' fill='none' opacity='.87'/><path d='M16.59 8.59L12 13.17 7.41 8.59 6 10l6 6 6-6-1.41-1.41z'/></svg>") !important;
  background-repeat: no-repeat;
  background-position-x: 95%;
  background-position-y: 50%;
  padding-right: 1.7em !important;
}
textarea {
  box-shadow: none !important;
}
.pagination > li:first-child > a,
.pagination > li:first-child > span {
  border: 2px 0 0 2px !important;
}
.pagination > li:last-child > a,
.pagination > li:last-child > span {
  border: 0 2px 2px 0 !important;
}
.gn-btn,
.gn-btn-solid,
.gn-btn-outline {
  padding: 0.5em 1em;
  border-radius: 2px;
  cursor: pointer;
  font-weight: bold;
  text-decoration: none;
  text-align: center;
  transition: background 70ms ease-in-out, transform 35ms ease;
  white-space: normal;
}
.gn-btn:focus,
.gn-btn-solid:focus,
.gn-btn-outline:focus {
  outline: 1px solid white;
  outline-offset: -2px;
}
.gn-btn:active,
.gn-btn-solid:active,
.gn-btn-outline:active {
  transform: scale(0.98);
}
.gn-btn-discreet {
  padding: 0.5em 1em;
  border-radius: 2px;
  cursor: pointer;
  font-weight: bold;
  text-decoration: none;
  text-align: center;
  transition: background 70ms ease-in-out, transform 35ms ease;
  background-color: transparent;
  border: none;
  font-variant: all-small-caps;
  color: #535353;
}
.gn-btn-discreet:hover,
.gn-btn-discreet:focus {
  background-color: rgba(0, 0, 0, 0.05);
}
.gn-btn-discreet:active {
  background-color: rgba(0, 0, 0, 0.1);
}
.gn-btn-solid {
  color: white;
  background-color: #1975E8;
  border: none;
  text-transform: uppercase;
}
.gn-btn-solid:hover,
.gn-btn-solid:focus {
  background-color: #1569d2;
}
.gn-btn-solid:active {
  background-color: #135ebb;
}
.gn-btn-solid * {
  color: white;
}
.gn-btn-solid:hover,
.gn-btn-solid:focus,
.gn-btn-solid:active {
  color: white;
  text-decoration: none;
}
.gn-btn-solid:disabled {
  background-color: whitesmoke;
  color: gray;
  border-radius: 0;
}
.gn-btn-outline {
  border: 1px solid #1975E8;
  color: #1975E8;
  background-color: transparent;
}
.gn-btn-outline:hover,
.gn-btn-outline:focus {
  background-color: rgba(0, 0, 0, 0.05);
}
.gn-btn-outline:active {
  background-color: rgba(0, 0, 0, 0.1);
}
.gn-btn-outline * {
  color: #1975E8;
}
.gn-btn-outline:hover,
.gn-btn-outline:focus,
.gn-btn-outline:active {
  color: #1975E8;
  text-decoration: none;
}
.gn-notification-holder {
  position: relative;
}
.gn-notification-holder .gn-notification-counter {
  position: absolute;
  top: -7px;
  right: -16px;
  color: red;
  text-shadow: -1px 1px 1px white;
  font-weight: bold;
  font-size: 90%;
  padding: 2px;
}
.gn-notification-holder .gn-notification-counter:after {
  content: '';
  display: block;
  height: 5px;
  width: 5px;
  margin: 0 auto;
  border-radius: 100px;
  background-color: red;
}
@media only screen and (min-width: 0px) and (max-width: 425px) {
  .gn-notification-holder .gn-notification-counter {
    font-size: 85%;
  }
}
.gn-notification-holder .gn-notification-counter:empty {
  display: none;
}
.gn-tab-group {
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  width: 100%;
  margin-bottom: 0.5em;
  overflow-x: scroll;
  scrollbar-width: none;
  -ms-overflow-style: none;
}
.gn-tab-group::-webkit-scrollbar {
  width: 0;
  height: 0;
}
.gn-tab-area .gn-tab {
  position: relative;
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-end;
  align-items: center;
  padding: 0.5em 1em;
  margin-left: 1em;
  max-width: 25em;
  cursor: pointer;
  border-radius: 5px;
  font-size: 110%;
  font-variant: all-petite-caps;
  font-weight: bold;
  color: #4f4f4f;
  background-color: transparent;
}
.gn-tab-area .gn-tab:hover,
.gn-tab-area .gn-tab:focus {
  background-color: rgba(0, 0, 0, 0.05);
}
.gn-tab-area .gn-tab:active {
  background-color: rgba(0, 0, 0, 0.1);
}
.gn-tab-area .gn-tab:first-of-type {
  margin-left: 0;
}
.gn-tab-area .gn-tab-content {
  display: none;
  width: 100%;
}
.gn-tab-area .gn-tab-radio {
  display: none;
}
.checked-tab-content,
.gn-tab-area .tab-toggle-5:checked ~ .tab-content-5,
.gn-tab-area .tab-toggle-4:checked ~ .tab-content-4,
.gn-tab-area .tab-toggle-3:checked ~ .tab-content-3,
.gn-tab-area .tab-toggle-2:checked ~ .tab-content-2,
.gn-tab-area .tab-toggle-1:checked ~ .tab-content-1 {
  display: block;
}
.checked-tab-label,
.gn-tab-area .tab-toggle-5:checked ~ .gn-tab-group .tab-label-5,
.gn-tab-area .tab-toggle-4:checked ~ .gn-tab-group .tab-label-4,
.gn-tab-area .tab-toggle-3:checked ~ .gn-tab-group .tab-label-3,
.gn-tab-area .tab-toggle-2:checked ~ .gn-tab-group .tab-label-2,
.gn-tab-area .tab-toggle-1:checked ~ .gn-tab-group .tab-label-1 {
  color: black;
}
.checked-tab-label:after,
.gn-tab-area .tab-toggle-5:checked ~ .gn-tab-group .tab-label-5:after,
.gn-tab-area .tab-toggle-4:checked ~ .gn-tab-group .tab-label-4:after,
.gn-tab-area .tab-toggle-3:checked ~ .gn-tab-group .tab-label-3:after,
.gn-tab-area .tab-toggle-2:checked ~ .gn-tab-group .tab-label-2:after,
.gn-tab-area .tab-toggle-1:checked ~ .gn-tab-group .tab-label-1:after {
  content: '';
  height: 3px;
  background-color: #1975E8;
  border: 1px solid #1975E8;
  border-radius: 100px;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 50%;
}
.gn-navigation-button {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex: 1;
  min-width: 60px;
  max-width: 150px;
  height: 70px;
  background-color: white;
  text-decoration: none;
  transition: background-color ease-in-out 0.15s;
}
.gn-navigation-button img {
  height: 25px;
  width: 25px;
  opacity: 0.85;
}
.gn-navigation-button span {
  font-size: 85%;
  text-align: center;
  margin-top: 0.5em;
  color: black;
}
.gn-navigation-button.active img {
  filter: invert(46%) sepia(45%) saturate(7148%) hue-rotate(201deg) brightness(93%) contrast(94%) !important;
  opacity: 1;
}
.gn-navigation-button.active span {
  color: #1975E8;
}
.gn-navigation-button:hover,
.gn-navigation-button:focus {
  outline: none;
  text-decoration: none;
  background-color: whitesmoke;
}
.gn-navigation-button:active {
  text-decoration: none;
  background-color: lightgray;
}
.gn-bottom-navigation-bar,
.gn-bottom-navigation-bar-always {
  z-index: 1000;
  position: fixed;
  bottom: 0;
  width: 100%;
  min-height: 70px;
  height: 70px;
  max-height: 70px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  background-color: white;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.gn-bottom-navigation-bar .gn-bottom-navigation-bar-backdrop,
.gn-bottom-navigation-bar-always .gn-bottom-navigation-bar-backdrop {
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 70px;
  background-color: white;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.gn-bottom-navigation-bar .gn-bottom-navigation-sheet-container,
.gn-bottom-navigation-bar-always .gn-bottom-navigation-sheet-container {
  z-index: -2;
  position: absolute;
}
.gn-bottom-navigation-bar .gn-bottom-options-sheet-container,
.gn-bottom-navigation-bar-always .gn-bottom-options-sheet-container {
  z-index: -3;
  position: absolute;
}
@media only screen and (min-width: 1000px) {
  .gn-bottom-navigation-bar,
  .gn-bottom-navigation-bar-always {
    display: none;
  }
  .gn-bottom-navigation-bar-always,
  .gn-bottom-navigation-bar-always-always {
    display: flex;
  }
}